mscorlib 2.0.0.0 4.0.0.0 System.ValueType To be added. To be added.

The property returns an instance of this type.

The foreach statement of the C# language (for each in C++, For Each in Visual Basic) requires the type of the elements in the collection. Since each element of a collection based on is a key/value pair, the element type is not the type of the key or the type of the value. Instead, the element type is . For example:

code reference: Generic.Dictionary#11

The foreach statement is a wrapper around the enumerator, which allows only reading from, not writing to, the collection.

Defines a key/value pair that can be set or retrieved.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  2.0.0.0
  4.0.0.0
  TKey To be added.

  This property is read/only.

  Gets the key in the key/value pair.

- Method
  2.0.0.0
  4.0.0.0
  System.String

  The string representation consists of the string representations of the key and value, separated by a comma and a space, and enclosed in square brackets. For example, the method for a structure with the string "Test" and the integer 14 returns the string "[Test, 14]".

  This method uses the ToString methods provided by the key and value types. Some types do not return useful or informative values for their ToString methods.

  Returns a string representation of the , using the string representations of the key and value.

  A string representation of the , which includes the string representations of the key and value.

- Property
  2.0.0.0
  4.0.0.0
  TValue To be added.

  This property is read/only.

  Gets the value in the key/value pair.